Riferimento APIRecurring invoices
Pause a schedule
POST
apiKeyheader
AuthorizationBearer <token>API key: gb_test_… or gb_live_…
id*stringFormat
uuidGetbeel-Company?stringAct on one of the account's client companies (its id from GET /companies) instead of the key's own account. 404 company_not_found when the key cannot act on it.
Format
uuidOK
application/json- response
object*stringid*stringMatch
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidinvoice_id*stringThe template invoice
interval*stringValue in
"monthly""quarterly""yearly"next_date*stringMatch
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Format
dateactive*booleanauto_send*booleanSend each new invoice to SDI (sandbox for test keys)
livemode*booleanlast_invoice_id*string|nulllast_run_at*|nulllast_error*string|nullcreated_at*stringMatch
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timeupdated_at*stringMatch
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timecurl -X POST 'https://www.getbeel.com/api/v1/recurring-invoices/497f6eca-6276-4993-bfeb-53cbbbba6f08/pause'Esempio di risposta
{ "object": "recurring_invoice", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "invoice_id": "string", "interval": "monthly", "next_date": "2026-10-29", "active": true, "auto_send": true, "livemode": true, "last_invoice_id": "string", "last_run_at": "2019-08-24T14:15:22Z", "last_error": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}